zabbix_export:
  version: '6.0'
  date: '2022-09-02T09:15:10Z'
  #template_groups:
  #  -
  #    uuid: a571c0d144b14fd4a87a9d9b2aa9fcd6
  #    name: Templates/Applications
  templates:
    -
      uuid: 1462cca6da794498bebfe2355992fc9a
      template: AASv10
      name: 'AASv10 for JMX'
      description: 'AASv10 for JMX'
      groups:
        -
          name: Templates/Applications
      items:
        -
          uuid: 7c402591e5ba4e5f9939c7c5bb0ac6f0
          name: '类: 加载的类数'
          type: JMX
          key: 'jmx["java.lang:type=ClassLoading","LoadedClassCount"]'
          history: 7d
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: Java虚拟机中当前加载的类数。
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 10m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: class
        -
          uuid: 98c6b12236054fffaceb23ddf3eb1882
          name: '类: 总加载类数'
          type: JMX
          key: 'jmx["java.lang:type=ClassLoading","TotalLoadedClassCount"]'
          history: 7d
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 自Java虚拟机开始执行以来加载的类的总数
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 10m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: class
        -
          uuid: 8621a1c331d140cbb4c5e2bdba2e504a
          name: '类: 卸载的类数'
          type: JMX
          key: 'jmx["java.lang:type=ClassLoading","UnloadedClassCount"]'
          history: 7d
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 自Java虚拟机开始执行以来卸载的类总数
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 10m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: class
        -
          uuid: 85e752ec3b31447aac8eae18cd94dc77
          name: '编译: 编译器名称'
          type: JMX
          key: 'jmx["java.lang:type=Compilation","Name"]'
          history: 7d
          trends: '0'
          value_type: CHAR
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 即时（JIT）编译器的名称
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 30m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: compilation
          triggers:
            -
              uuid: 32d1cb7beafc4ca09062a49a480cc4ce
              expression: 'find(/AASv10/jmx["java.lang:type=Compilation","Name"],,"like","Client")=1'
              name: 'Compilation: {HOST.NAME} uses suboptimal JIT compiler'
              priority: INFO
              manual_close: 'YES'
              tags:
                -
                  tag: scope
                  value: notice
        -
          uuid: 893832bbd5594d1f9bcf57c196a6c62a
          name: '编译: 编译总时间'
          type: JMX
          key: 'jmx["java.lang:type=Compilation","TotalCompilationTime"]'
          history: 7d
          value_type: FLOAT
          units: s
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 编译所花费的大约累计已用时间（秒）
          preprocessing:
            -
              type: MULTIPLIER
              parameters:
                - '0.001'
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 10m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: compilation
        -
          uuid: c60fd2f8905a4c23a6df3d137eb2ab9f
          name: '堆内存: 已提交值'
          type: JMX
          key: 'jmx["java.lang:type=Memory","HeapMemoryUsage.committed"]'
          history: 7d
          units: B
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 表示保证java虚拟机能使用的内存量，已提交的内存量可以随时间而变化（增加或减少）。
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: memory
        -
          uuid: 7c119c39609542c787bed3c888fee0fc
          name: '堆内存: 最大值'
          type: JMX
          key: 'jmx["java.lang:type=Memory","HeapMemoryUsage.max"]'
          history: 7d
          value_type: FLOAT
          units: B
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 表示可以用于内存管理的最大内存量（以字节为单位）。
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 10m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: memory
        -
          uuid: aa6a2c1b8c5f43b1b8afeb8106dd29a9
          name: '堆内存: 已使用'
          type: JMX
          key: 'jmx["java.lang:type=Memory","HeapMemoryUsage.used"]'
          history: 7d
          units: B
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 已使用堆内存
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 10m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: memory
        -
          uuid: 722a50a91cb644d7988ad83dd9bdafc5
          name: '非堆内存: 已提交值'
          type: JMX
          key: 'jmx["java.lang:type=Memory","NonHeapMemoryUsage.committed"]'
          history: 7d
          units: B
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 已提交的非堆内存
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 10m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: memory
        -
          uuid: 2f95ac636a194af6bc9e664d7ffb3804
          name: '非堆内存: 最大值'
          type: JMX
          key: 'jmx["java.lang:type=Memory","NonHeapMemoryUsage.max"]'
          history: 7d
          value_type: FLOAT
          units: B
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 最大非堆内存
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 10m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: memory
        -
          uuid: fd45f9fcdf0240a08850788128ffdde9
          name: '非堆内存: 使用值'
          type: JMX
          key: 'jmx["java.lang:type=Memory","NonHeapMemoryUsage.used"]'
          history: 7d
          units: B
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 非堆内存使用值
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 10m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: memory
        -
          uuid: 1607facb5f23467d9c485fa7d862a02c
          name: '堆内存: 终止被挂起的对象的近似数目'
          type: JMX
          key: 'jmx["java.lang:type=Memory","ObjectPendingFinalizationCount"]'
          history: 7d
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 终止被挂起的对象的近似数目
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 10m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: memory
        -
          uuid: 57ec985f34444712936c1d5d0aeb11ad
          name: '操作系统: 最大文件描述符数'
          type: JMX
          key: 'jmx["java.lang:type=OperatingSystem","MaxFileDescriptorCount"]'
          history: 7d
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 进程能打开的最大文件描述符数量。
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 10m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: os
        -
          uuid: 994c882951d54aa786c40d8c1cc4a603
          name: '操作系统: 打开文件描述符数量'
          type: JMX
          key: 'jmx["java.lang:type=OperatingSystem","OpenFileDescriptorCount"]'
          history: 7d
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: '当前打开文件描述符数量，如果其达到了最大打开值，应用将抛出IOException: Too many open files.异常，这意味着你没有关闭你曾打开文件描述符。'
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: os
        -
          uuid: 76d3250b586e4841a8f9196cd714fa26
          name: '操作系统: CPU 负载'
          type: JMX
          key: 'jmx["java.lang:type=OperatingSystem","ProcessCpuLoad"]'
          history: 7d
          value_type: FLOAT
          units: '%'
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 此进程的CPU负载
          preprocessing:
            -
              type: MULTIPLIER
              parameters:
                - '100'
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: os
          triggers:
            -
              uuid: 61632ce59c494212b6b9374d16503e05
              expression: 'min(/AASv10/jmx["java.lang:type=OperatingSystem","ProcessCpuLoad"],{$JMX.CPU.LOAD.TIME})>{$JMX.CPU.LOAD.MAX}'
              name: 'OperatingSystem: Process CPU Load is high'
              event_name: 'OperatingSystem: Process CPU Load more than {$JMX.CPU.LOAD.MAX}% for {$JMX.CPU.LOAD.TIME}'
              priority: AVERAGE
              tags:
                -
                  tag: scope
                  value: capacity
        -
          uuid: 8f55f7fff28f40c187c857cc0e596976
          name: '运行时: JVM运行时间'
          type: JMX
          key: 'jmx["java.lang:type=Runtime","Uptime"]'
          history: 7d
          units: s
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          preprocessing:
            -
              type: MULTIPLIER
              parameters:
                - '0.001'
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: runtime
          triggers:
            -
              uuid: 7f48f32bd5634a4f8ea34d2d6566901a
              expression: 'nodata(/AASv10/jmx["java.lang:type=Runtime","Uptime"],5m)=1'
              name: 'Runtime: JVM is not reachable'
              priority: AVERAGE
              manual_close: 'YES'
              tags:
                -
                  tag: scope
                  value: availability
        -
          uuid: 92790bfbcab94c71adfa8cf86b42b585
          name: '运行时: Java虚拟机名字'
          type: JMX
          key: 'jmx["java.lang:type=Runtime","VmName"]'
          delay: 1h
          history: 7d
          trends: '0'
          value_type: CHAR
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 30m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: runtime
          triggers:
            -
              uuid: 909d37ca361f4734bd022831e5a4c018
              expression: 'find(/AASv10/jmx["java.lang:type=Runtime","VmName"],,"like","Server")<>1'
              name: 'Runtime: {HOST.NAME} runs suboptimal VM type'
              priority: INFO
              manual_close: 'YES'
              tags:
                -
                  tag: scope
                  value: notice
        -
          uuid: 33257df3f9864360a29b94e1005bfec1
          name: '运行时: Java虚拟机版本'
          type: JMX
          key: 'jmx["java.lang:type=Runtime","VmVersion"]'
          delay: 1h
          history: 7d
          trends: '0'
          value_type: CHAR
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 30m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: runtime
        -
          uuid: dacd6451ffb64e06b9631dea09df6f33
          name: '线程: 当前守护进程线程数'
          type: JMX
          key: 'jmx["java.lang:type=Threading","DaemonThreadCount"]'
          history: 7d
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 当前守护进程线程数
          preprocessing:
            -
              type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 10m
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: threading
        -
          uuid: 74d6709ba1d74e878d72788cf8f777ab
          name: '线程: 峰值线程数'
          type: JMX
          key: 'jmx["java.lang:type=Threading","PeakThreadCount"]'
          history: 7d
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: JVM从Java虚拟机启动或峰值重置以来峰值活动线程计数
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: threading
        -
          uuid: 39608272c73147d0a3505da9778cf9bc
          name: '线程: 当前线程数'
          type: JMX
          key: 'jmx["java.lang:type=Threading","ThreadCount"]'
          history: 7d
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: JVM当前活动线程数量
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: threading
        -
          uuid: 4b83b0bf9260419aa89bc64c256e5513
          name: '线程: JVM累计创建线程总数'
          type: JMX
          key: 'jmx["java.lang:type=Threading","TotalStartedThreadCount"]'
          history: 7d
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: Java虚拟机启动后创建并启动的线程总数
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
          tags:
            -
              tag: component
              value: threading
      discovery_rules:
        -
          uuid: 8e2eb27f62324c86b01710c28a2b65a6
          name: 'Bean pool'
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=bean-pool-mon,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          item_prototypes:
            -
              uuid: e01b5506749e471ca6251291501cca8d
              name: 'Bean池: {{#JMXNAME}.regsub("([^\/]*)\/bean-pool",\1)} 加载到JMS会话中的最大消息数'
              type: JMX
              key: 'jmx[{#JMXOBJ},jmsmaxmessagesload.count,"加载到JMS会话中的最大消息数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 提供每次加载到JMS会话中的最大消息数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: Bean
            -
              uuid: a67f806c8d4f43d4bae62bd4c0765eb5
              name: 'Bean池: {{#JMXNAME}.regsub("([^\/]*)\/bean-pool",\1)} 池中EJB个数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numbeansinpool.current,"池中EJB个数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 关联池中EJB个数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: Bean
            -
              uuid: 0b95241f156b4746af4499a8f2c3dda8
              name: 'Bean池: {{#JMXNAME}.regsub("([^\/]*)\/bean-pool",\1)} 等待空闲Bean的线程个数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numthreadswaiting.current,"等待空闲Bean的线程个数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 等待空闲Bean的线程个数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: Bean
            -
              uuid: a4da5c00b3024cc09f9cc56a16a1de47
              name: 'Bean池: {{#JMXNAME}.regsub("([^\/]*)\/bean-pool",\1)} 池中创建的Bean数'
              type: JMX
              key: 'jmx[{#JMXOBJ},totalbeanscreated.count,"池中创建的Bean数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 在关联池中创建的bean数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: Bean
            -
              uuid: f868799032c44695bab19bf92f544f86
              name: 'Bean池: {{#JMXNAME}.regsub("([^\/]*)\/bean-pool",\1)} 池中销毁的Bean数'
              type: JMX
              key: 'jmx[{#JMXOBJ},totalbeansdestroyed.count,"池中销毁的Bean数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 从关联池中销毁的Bean数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: Bean
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: 3d033683836c4ac8ac8350254f9de9eb
          name: 'Connection queue'
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=connection-queue-mon,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          filter:
            conditions:
              -
                macro: '{#JMXNAME}'
                value: 'network\/\S{1,}\/connection-queue'
                formulaid: A
          item_prototypes:
            -
              uuid: 52734e5c9a00441080bd8b0361e8c1b6
              name: '连接队列:  {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 无法连接的次数'
              type: JMX
              key: 'jmx[{#JMXOBJ},countoverflows.count,"队列太满，无法容纳连接的次数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 队列太满，无法容纳连接的次数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: connection-queue
            -
              uuid: 0738d33ed421406caf924288694882a3
              name: '连接队列:  {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 当前的连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},countqueued.count,"队列中当前的连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 队列中当前的连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: connection-queue
            -
              uuid: 9780810ad5b14936ace188cb01a8f248
              name: '连接队列:  {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 1分钟平均连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},countqueued1minuteaverage.count,"最近1分钟排队的平均连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 最近1分钟排队的平均连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: connection-queue
            -
              uuid: 331e473e0a4b43dcb39b400ec0f8b4a2
              name: '连接队列:  {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 5分钟内平均连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},countqueued5minutesaverage.count,"最近5分钟内排队的平均连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 最近5分钟内排队的平均连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: connection-queue
            -
              uuid: da5c4f1c76f441528c3a73278fdf4ecd
              name: '连接队列:  {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 15分钟内平均连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},countqueued15minutesaverage.count,"最近15分钟内排队的平均连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 最近15分钟内排队的平均连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: connection-queue
            -
              uuid: 54c6e72164ae459b8b9b029e38046e1c
              name: '连接队列:  {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 已接受的连接总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},counttotalconnections.count,"已接受的连接总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 已接受的连接总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: connection-queue
            -
              uuid: 79f9fb7e183f4e72b154b133263e2b6c
              name: '连接队列:  {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 已排队的连接总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},counttotalqueued.count,"已排队的连接总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 已排队的连接总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: connection-queue
            -
              uuid: 52f63ce9d7744ca08f94eb952cbd7eec
              name: '连接队列:  {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 连接队列的最大值'
              type: JMX
              key: 'jmx[{#JMXOBJ},maxqueued.count,"连接队列的最大大小"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 连接队列的最大大小
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: connection-queue
            -
              uuid: e2b718f47490450fbba43d1e5019c330
              name: '连接队列:  {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 同时在队列中的最大连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},peakqueued.count,"同时在队列中的最大连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 同时在队列中的最大连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: connection-queue
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: d9e29a978d1f431bb59f765ccffb0a7f
          name: 'Connector connection pool'
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=connector-connection-pool,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          item_prototypes:
            -
              uuid: fb747223a3324636bd8f4a0fc2450d1c
              name: 'Connector连接池:  {#JMXNAME} 平均等待时间'
              type: JMX
              key: 'jmx[{#JMXOBJ},averageconnwaittime.count,"平均等待时间"]'
              units: s
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 每个成功连接请求的平均等待时间持续时间
              preprocessing:
                -
                  type: MULTIPLIER
                  parameters:
                    - '0.001'
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
            -
              uuid: 2506352626aa469f819ffdfc47baad7d
              name: 'Connector连接池:  {#JMXNAME} 请求的等待时间'
              type: JMX
              key: 'jmx[{#JMXOBJ},connrequestwaittime.current,"最后一个请求的等待时间"]'
              units: s
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 连接请求的最长和最短等待时间。当前值指示池服务的最后一个请求的等待时间。
              preprocessing:
                -
                  type: MULTIPLIER
                  parameters:
                    - '0.001'
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
            -
              uuid: ba91bd5a9ebf474eb2d281d6eea5d45d
              name: 'Connector连接池:  {#JMXNAME} 获取的逻辑连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconnacquired.count,"获取的逻辑连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 从池中获取的逻辑连接数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
            -
              uuid: 2ba1b17998ff49b390a74543491662e7
              name: 'Connector连接池:  {#JMXNAME} 创建的物理连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconncreated.count,"创建的物理连接总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 自上次重置后创建的物理连接数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
            -
              uuid: c088480eb1ca47899ac9e81f3963bea9
              name: 'Connector连接池:  {#JMXNAME} 销毁物理连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconndestroyed.count,"销毁物理连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 自上次重置后被破坏的物理连接数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
            -
              uuid: de63192c12e040719ff176cd568b9418
              name: 'Connector连接池:  {#JMXNAME} 验证失败的连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconnfailedvalidation.count,"验证失败的连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 连接池中从开始时间到最后一个采样时间验证失败的连接总数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
            -
              uuid: feec1adda20e4d469681fec00605315f
              name: 'Connector连接池:  {#JMXNAME} 池中可用连接的总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconnfree.count,"池中可用连接的总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 自上次采样以来池中可用连接的总数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
            -
              uuid: 5a34f60f70ad4a85aa71f6297ad09c56
              name: 'Connector连接池:  {#JMXNAME} 匹配期间拒绝的连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconnnotsuccessfullymatched.count,"匹配期间拒绝的连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 匹配期间拒绝的连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
            -
              uuid: d3e0e99147934ace92026614f71ec9e4
              name: 'Connector连接池:  {#JMXNAME} 释放的逻辑连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconnreleased.count,"释放的逻辑连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 释放到池的逻辑连接数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
            -
              uuid: cc44d077613d4f1eaf4c66c53f5827f7
              name: 'Connector连接池:  {#JMXNAME} 成功匹配的连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconnsuccessfullymatched.count,"成功匹配的连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 成功匹配的连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
            -
              uuid: 6ff4b762e44f447992d4cb7713576a93
              name: 'Connector连接池:  {#JMXNAME} 超时的连接总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconntimedout.count,"超时的连接总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 池中在开始时间和上次采样时间之间超时的连接总数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
            -
              uuid: a137865863dc4bddbc521ba81bd1af61
              name: 'Connector连接池:  {#JMXNAME} 连接总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconnused.count,"当前使用的连接总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 提供连接使用统计信息。当前使用的连接总数，以及有关使用的最大连接数的信息（高水位线）。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
            -
              uuid: 5874fa5fc64e4d4d808958e5045b09cc
              name: 'Connector连接池:  {#JMXNAME} 潜在连接泄漏数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numpotentialconnleak.count,"潜在连接泄漏数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 潜在连接泄漏的数量
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
            -
              uuid: a6fde2e376e446afa65f3dd1a10acfad
              name: 'Connector连接池:  {#JMXNAME} 队列中的请求数。'
              type: JMX
              key: 'jmx[{#JMXOBJ},waitqueuelength.count,"队列中等待服务的请求数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 队列中等待服务的连接请求数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'connector connection pool'
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: 2647329110094b60bee7e969a0879fef
          name: Deployment
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=deployment-mon,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          item_prototypes:
            -
              uuid: 85ec9b0e62dc4dafa38c998c490b2f53
              name: '部署:  {#JMXNAME} 当前部署的应用程序数'
              type: JMX
              key: 'jmx[{#JMXOBJ},activeapplicationsdeployedcount.current,"部署的应用程序数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 部署的应用程序数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: deployment
            -
              uuid: cb92557cad0d4bc69234df8ca8e4736c
              name: '部署:  {#JMXNAME} 已部署的应用程序总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},totalapplicationsdeployedcount.count,"已部署的应用程序总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 已部署的应用程序总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: deployment
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: dc41f7f0938943789c3aae8543f3ffae
          name: 'File cache'
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=file-cache-mon,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          filter:
            conditions:
              -
                macro: '{#JMXNAME}'
                value: 'network\/\S{1,}\/file-cache'
                formulaid: A
          item_prototypes:
            -
              uuid: be542bb2f2b248efaf8ec986dc9fc6fa
              name: '文件缓存: {{#JMXNAME}.regsub("network\/(.*)\/file-cache",\1)} 文件内容命中数'
              type: JMX
              key: 'jmx[{#JMXOBJ},contenthits.count,"缓存文件内容的命中数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 缓存文件内容的命中数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: file-cache
            -
              uuid: 90c99abe338746d1895b624d707a8fbb
              name: '文件缓存: {{#JMXNAME}.regsub("network\/(.*)\/file-cache",\1)} 文件内容未命中数'
              type: JMX
              key: 'jmx[{#JMXOBJ},contentmisses.count,"缓存文件内容的未命中数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 缓存文件内容的未命中数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: file-cache
            -
              uuid: 0b7a85ec59e8455f9d1b35e065483db1
              name: '文件缓存: {{#JMXNAME}.regsub("network\/(.*)\/file-cache",\1)} 缓存大小'
              type: JMX
              key: 'jmx[{#JMXOBJ},heapsize.count,"当前缓存大小"]'
              units: B
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 当前缓存大小（字节）
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: file-cache
            -
              uuid: 945ce409efac4da596368d8a8e7f96fb
              name: '文件缓存: {{#JMXNAME}.regsub("network\/(.*)\/file-cache",\1)} 缓存查找命中数'
              type: JMX
              key: 'jmx[{#JMXOBJ},hits.count,"缓存查找命中数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 缓存查找命中数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: file-cache
            -
              uuid: 145485239f1e42bcbc32bc28eea0f264
              name: '文件缓存: {{#JMXNAME}.regsub("network\/(.*)\/file-cache",\1)} 文件信息的命中数'
              type: JMX
              key: 'jmx[{#JMXOBJ},infohits.count,"缓存文件信息的命中数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 缓存文件信息的命中数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: file-cache
            -
              uuid: 1d89e9c5636647229dfe6c7499f71416
              name: '文件缓存: {{#JMXNAME}.regsub("network\/(.*)\/file-cache",\1)} 文件信息未命中数'
              type: JMX
              key: 'jmx[{#JMXOBJ},infomisses.count,"缓存文件信息的未命中数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 缓存文件信息的未命中数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: file-cache
            -
              uuid: 45f36a7736b74eb4a569db896370382a
              name: '文件缓存: {{#JMXNAME}.regsub("network\/(.*)\/file-cache",\1)} 映射内存大小'
              type: JMX
              key: 'jmx[{#JMXOBJ},mappedmemorysize.count,"缓存的映射内存大小"]'
              units: B
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 用于缓存的映射内存大小
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: file-cache
            -
              uuid: 8331539e99b54fd5b3b7ae1114c6e918
              name: '文件缓存: {{#JMXNAME}.regsub("network\/(.*)\/file-cache",\1)} 缓存未命中数'
              type: JMX
              key: 'jmx[{#JMXOBJ},misses.count,"缓存查找未命中数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 缓存查找未命中数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: file-cache
            -
              uuid: 5f3b2a51372a4488bb1be60786be7bd8
              name: '文件缓存: {{#JMXNAME}.regsub("network\/(.*)\/file-cache",\1)} 当前打开的缓存条目'
              type: JMX
              key: 'jmx[{#JMXOBJ},opencacheentries.count,"当前打开的缓存条目数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 当前打开的缓存条目数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: file-cache
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: 1897643128ee4305ab3caadf30dbf75c
          name: 'Jdbc connection pool'
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=jdbc-connection-pool-mon,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          filter:
            conditions:
              -
                macro: '{#JMXNAME}'
                value: resources\/__TimerPool
                operator: NOT_MATCHES_REGEX
                formulaid: A
          item_prototypes:
            -
              uuid: b0a37a08095f49c8911ac691e1aafc82
              name: 'JDBC连接池:  {#JMXNAME} 连接平均等待时间'
              type: JMX
              key: 'jmx[{#JMXOBJ},averageconnwaittime.count,"每个成功连接请求的平均等待时间持续时间"]'
              units: s
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 每个成功连接请求的平均等待时间持续时间
              preprocessing:
                -
                  type: MULTIPLIER
                  parameters:
                    - '0.001'
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'jdbc connection pool'
            -
              uuid: 3e37ed4b71fb4b428a0100222daeabc2
              name: 'JDBC连接池:  {#JMXNAME} 从池中获取的逻辑连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconnacquired.count,"从池中获取的逻辑连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 从池中获取的逻辑连接数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'jdbc connection pool'
            -
              uuid: b8c80f5aec82457784c8ff0fb06a6e7c
              name: 'JDBC连接池:  {#JMXNAME} 创建的物理连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconncreated.count,"创建的物理连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 自上次重置后创建的物理连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'jdbc connection pool'
            -
              uuid: 0c6c04645fa749799ab28a697483196a
              name: 'JDBC连接池:  {#JMXNAME} 销毁的物理连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconndestroyed.count,"销毁的物理连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 自上次重置后销毁的物理连接数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'jdbc connection pool'
            -
              uuid: ca780288419a4a94b28e12fab44d9e97
              name: 'JDBC连接池:  {#JMXNAME} 验证失败的连接总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconnfailedvalidation.count,"验证失败的连接总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 连接池中从开始时间到最后一个采样时间验证失败的连接总数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'jdbc connection pool'
            -
              uuid: 53120a90caa245378785252ec4cde272
              name: 'JDBC连接池:  {#JMXNAME} 可用连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconnfree.current,"可用连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 自上次采样以来池中可用连接的总数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'jdbc connection pool'
            -
              uuid: ec87aaec77254db8972c27653e3bc59b
              name: 'JDBC连接池:  {#JMXNAME} 拒绝的连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconnnotsuccessfullymatched.count,"拒绝的连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 匹配期间拒绝的连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'jdbc connection pool'
            -
              uuid: 4ca3e8de6c3a4e6581f7e780511a7cf6
              name: 'JDBC连接池:  {#JMXNAME} 释放到池的逻辑连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconnreleased.count,"释放到池的逻辑连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 释放到池的逻辑连接数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'jdbc connection pool'
            -
              uuid: 26cd0fbefd28455a8e2949aeb08786be
              name: 'JDBC连接池:  {#JMXNAME} 超时的连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconntimedout.count,"超时的连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 池中在开始时间和上次采样时间之间超时的连接总数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'jdbc connection pool'
            -
              uuid: 5bce587cc0414ef18284a30776d3212b
              name: 'JDBC连接池:  {#JMXNAME} 当前使用的连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},numconnused.current,"当前使用的连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 当前使用的连接总数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'jdbc connection pool'
            -
              uuid: c33496f68830458685b07eb1b71a45fa
              name: 'JDBC连接池:  {#JMXNAME} 潜在连接泄漏的数量'
              type: JMX
              key: 'jmx[{#JMXOBJ},numpotentialconnleak.count,"潜在连接泄漏的数量"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 潜在连接泄漏的数量
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'jdbc connection pool'
            -
              uuid: c045d2e5f4b44ee49034d800a4ab71c4
              name: 'JDBC连接池:  {#JMXNAME} 队列中等待服务的连接请求数'
              type: JMX
              key: 'jmx[{#JMXOBJ},waitqueuelength.count,"队列中等待服务的连接请求数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 队列中等待服务的连接请求数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: 'jdbc connection pool'
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: 619aabd5d8f44d3ebf627b0e622e896a
          name: JSP
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=jsp-mon,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          filter:
            evaltype: AND
            conditions:
              -
                macro: '{#JMXNAME}'
                value: __admingui\/__asadmin
                operator: NOT_MATCHES_REGEX
                formulaid: A
              -
                macro: '{#JMXNAME}'
                value: web\/jsp
                operator: NOT_MATCHES_REGEX
                formulaid: B
              -
                macro: '{#JMXNAME}'
                value: __default\-web\-module\/server
                operator: NOT_MATCHES_REGEX
                formulaid: C
          item_prototypes:
            -
              uuid: 985bbcd36c6e44748db05a2a930de1d8
              name: 'JSP: {{#JMXNAME}.regsub("(.*)\/server",\1)} 活跃JSP页面数'
              type: JMX
              key: 'jmx[{#JMXOBJ},jspcount.current,"活跃JSP页面数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 活跃JSP页面数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: jsp
            -
              uuid: d61767cdb35742718853c8d8f69f362f
              name: 'JSP: {{#JMXNAME}.regsub("(.*)\/server",\1)} 错误总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},jsperrorcount.count,"由JSP页调用触发的错误总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 由JSP页调用触发的错误总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: jsp
            -
              uuid: 467bfa5ef0db4eabb276a8d5b2524cd0
              name: 'JSP: {{#JMXNAME}.regsub("(.*)\/server",\1)} 重新加载的页面总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},jspreloadedcount.count,"重新加载的JSP页面总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 重新加载的JSP页面总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: jsp
            -
              uuid: 7215511228fa413fb33c9446e1bfe734
              name: 'JSP: {{#JMXNAME}.regsub("(.*)\/server",\1)} 已加载页面总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},totaljspcount.count,"已加载的JSP页面总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 已加载的JSP页面总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: jsp
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: 6c60177782da45d79891f3b479f372e1
          name: 'Keep alive'
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=keep-alive-mon,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          filter:
            conditions:
              -
                macro: '{#JMXNAME}'
                value: 'network\/\S{1,}\/keep-alive'
                formulaid: A
          item_prototypes:
            -
              uuid: ddcedeb23aec49f18f46b5cb19bfb7d2
              name: 'keep-alive: {{#JMXNAME}.regsub("network\/(\S{1,})\/keep-alive",\1)} 连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},countconnections.count,"保持活动模式下的连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 保持活动模式下的连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: keep-alive
            -
              uuid: ef68d987561b44999c7f0f6eb546e84e
              name: 'keep-alive: {{#JMXNAME}.regsub("network\/(\S{1,})\/keep-alive",\1)} 已关闭连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},countflushes.count, "已关闭的保持活动连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 已关闭的保持活动连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: keep-alive
            -
              uuid: d7a5c18f28ab4d53abdda0c9a2db0750
              name: 'keep-alive: {{#JMXNAME}.regsub("network\/(\S{1,})\/keep-alive",\1)} 接收的请求数'
              type: JMX
              key: 'jmx[{#JMXOBJ},counthits.count, "处于保持活动模式的连接接收的请求数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 处于保持活动模式的连接接收的请求数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: keep-alive
            -
              uuid: 6900def1c83d46c4a2f6f61320ae729f
              name: 'keep-alive: {{#JMXNAME}.regsub("network\/(\S{1,})\/keep-alive",\1)} 拒绝连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},countrefusals.count, "拒绝的保持活动连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 拒绝的保持活动连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: keep-alive
            -
              uuid: 410ea828222b4b3581b0338d395eafd6
              name: 'keep-alive: {{#JMXNAME}.regsub("network\/(\S{1,})\/keep-alive",\1)} 超时连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},counttimeouts.count,"超时的保持活动连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 超时的保持活动连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: keep-alive
            -
              uuid: 5efdbe3c631b4723aba3c641d023605b
              name: 'keep-alive: {{#JMXNAME}.regsub("network\/(\S{1,})\/keep-alive",\1)} 允许的最大请求数'
              type: JMX
              key: 'jmx[{#JMXOBJ},maxrequests.count,"单个保持活动连接上允许的最大请求数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 单个保持活动连接上允许的最大请求数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: keep-alive
            -
              uuid: a826bc203bfe48cca724c1108ded998d
              name: 'keep-alive: {{#JMXNAME}.regsub("network\/(\S{1,})\/keep-alive",\1)} 超时值'
              type: JMX
              key: 'jmx[{#JMXOBJ},secondstimeouts.count,"保持活动超时值"]'
              units: s
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 保持活动超时值（秒）
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: keep-alive
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: 03b03b0d09604e15902f29d5a71f5d63
          name: Request
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=request-mon,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          filter:
            conditions:
              -
                macro: '{#JMXNAME}'
                value: '.*__asadmin.*'
                operator: NOT_MATCHES_REGEX
                formulaid: A
          item_prototypes:
            -
              uuid: 78b37a218b2944eaa75f4fe8e85bf36c
              name: '请求:  {#JMXNAME} 2xx状态码响应数'
              type: JMX
              key: 'jmx[{#JMXOBJ},count2xx.count,"状态代码在2xx范围内的响应数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 状态代码在2xx范围内的响应数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: 1f1dc3edc9b4430c8e3cf010bf2ddccc
              name: '请求:  {#JMXNAME} 3xx状态码响应数'
              type: JMX
              key: 'jmx[{#JMXOBJ},count3xx.count,"状态代码在3xx范围内的响应数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 状态代码在3xx范围内的响应数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: 235c7763cd5d4c8a996e9fd5339e06a4
              name: '请求:  {#JMXNAME} 4xx状态码响应数'
              type: JMX
              key: 'jmx[{#JMXOBJ},count4xx.count,"状态代码在4xx范围内的响应数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 状态代码在4xx范围内的响应数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: bb9887df03c94f8aa87aae4533796bc3
              name: '请求:  {#JMXNAME} 5xx状态码响应数'
              type: JMX
              key: 'jmx[{#JMXOBJ},count5xx.count,"状态代码在5xx范围内的响应数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 状态代码在5xx范围内的响应数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: 88d93c1127ef46618188c87874cefde5
              name: '请求:  {#JMXNAME} 200状态码响应数'
              type: JMX
              key: 'jmx[{#JMXOBJ},count200.count,"状态代码等于200的响应数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 状态代码等于200的响应数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: 0621b7615b264c2b98cd499f1146832b
              name: '请求:  {#JMXNAME} 302状态码响应数'
              type: JMX
              key: 'jmx[{#JMXOBJ},count302.count,"状态代码等于302的响应数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 状态代码等于302的响应数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: 858984ae9a0d4cdb8a208547e0733770
              name: '请求:  {#JMXNAME} 304状态码响应数'
              type: JMX
              key: 'jmx[{#JMXOBJ},count304.count,"状态代码等于304的响应数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 状态代码等于304的响应数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: c934562b29ca49e1b7dfc45a0497bf29
              name: '请求:  {#JMXNAME} 400状态码响应数'
              type: JMX
              key: 'jmx[{#JMXOBJ},count400.count,"状态代码等于400的响应数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 状态代码等于400的响应数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: 561b20f4326b424284bcc5f8b0c0eb12
              name: '请求:  {#JMXNAME} 401状态码响应数'
              type: JMX
              key: 'jmx[{#JMXOBJ},count401.count,"状态代码等于401的响应数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 状态代码等于401的响应数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: 8d2ec13666e0409da4f314531dad27fd
              name: '请求:  {#JMXNAME} 403状态码响应数'
              type: JMX
              key: 'jmx[{#JMXOBJ},count403.count,"状态代码等于403的响应数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 状态代码等于403的响应数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: b5810ff3b8aa459fa35e7c1a92872225
              name: '请求:  {#JMXNAME} 404状态码响应数'
              type: JMX
              key: 'jmx[{#JMXOBJ},count404.count,"状态代码等于404的响应数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 状态代码等于404的响应数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: b8b3093e5ae240ea8eb44ae479fb7cf6
              name: '请求:  {#JMXNAME} 503状态码响应数'
              type: JMX
              key: 'jmx[{#JMXOBJ},count503.count,"状态代码等于503的响应数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 状态代码等于503的响应数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: 980be2a7d2fc49399790559e473ed83d
              name: '请求:  {#JMXNAME} 传输的字节数'
              type: JMX
              key: 'jmx[{#JMXOBJ},countbytestransmitted.count,"传输的字节数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 传输的字节数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: 1642b00890ce41629b6a03e105c0167d
              name: '请求:  {#JMXNAME} 打开的连接数'
              type: JMX
              key: 'jmx[{#JMXOBJ},countopenconnections.count,"打开的连接数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 打开的连接数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: ba07762d8f89423289c7976befde1f60
              name: '请求:  {#JMXNAME} 非2xx、3xx、4xx和5xx响应数'
              type: JMX
              key: 'jmx[{#JMXOBJ},countother.count,"状态代码超出2xx、3xx、4xx和5xx范围的响应数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 状态代码超出2xx、3xx、4xx和5xx范围的响应数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: 3e482a9c9c5e40ce839aaea155e93e05
              name: '请求:  {#JMXNAME} 打开连接的最大数目'
              type: JMX
              key: 'jmx[{#JMXOBJ},maxopenconnections.count,"打开连接的最大数目"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 打开连接的最大数目
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
            -
              uuid: 9e95c4dfbad5495ba7991edd1e4d6145
              name: '请求:  {#JMXNAME} 最长响应时间'
              type: JMX
              key: 'jmx[{#JMXOBJ},maxtime.count,"请求的最长响应时间"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 请求的最长响应时间；不是累积值，而是响应时间中的最大响应时间
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: request
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: 30529eb20b304a2ca5aaa5532932fb39
          name: Servlet
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=servlet-mon,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          filter:
            evaltype: AND
            conditions:
              -
                macro: '{#JMXNAME}'
                value: __admingui\/__asadmin
                operator: NOT_MATCHES_REGEX
                formulaid: A
              -
                macro: '{#JMXNAME}'
                value: __default\-web\-module\/server
                operator: NOT_MATCHES_REGEX
                formulaid: B
              -
                macro: '{#JMXNAME}'
                value: web\/servlet
                operator: NOT_MATCHES_REGEX
                formulaid: C
          item_prototypes:
            -
              uuid: c9411c7cb5e341db9cfaeab666109b05
              name: 'Servlet: {#JMXNAME} 加载的servlet数'
              type: JMX
              key: 'jmx[{#JMXOBJ},activeservletsloadedcount.current,"加载的servlet数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 加载的servlet数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: servlet
            -
              uuid: df2e1dbdd0394effbe4ff0e110c938b6
              name: 'Servlet: {#JMXNAME} 累计servlet处理时间'
              type: JMX
              key: 'jmx[{#JMXOBJ},servletprocessingtimes.count,"累计servlet处理时间"]'
              units: s
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 累计servlet处理时间
              preprocessing:
                -
                  type: MULTIPLIER
                  parameters:
                    - '0.001'
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: servlet
            -
              uuid: 20e30d2f4c2c468385a96170f3899046
              name: 'Servlet: {#JMXNAME} 已加载的servlet总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},totalservletsloadedcount.count,"已加载的servlet总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 已加载的servlet总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: servlet
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: 5b48f0c0ea574043922c3fc360261766
          name: Session
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=session-mon,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          filter:
            evaltype: AND
            conditions:
              -
                macro: '{#JMXNAME}'
                value: __admingui\/__asadmin
                operator: NOT_MATCHES_REGEX
                formulaid: A
              -
                macro: '{#JMXNAME}'
                value: __default\-web\-module\/server
                operator: NOT_MATCHES_REGEX
                formulaid: B
              -
                macro: '{#JMXNAME}'
                value: web\/session
                operator: NOT_MATCHES_REGEX
                formulaid: C
          item_prototypes:
            -
              uuid: 77812209dc0642d29f66e19996b8890d
              name: 'Session: {{#JMXNAME}.regsub("(.*)\/server",\1)} 已激活的会话总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},activatedsessionstotal.count,"已激活的会话总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 已激活的会话总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: Session
            -
              uuid: c57c3e0ab4cd4373abc7b77fffe09f83
              name: 'Session: {{#JMXNAME}.regsub("(.*)\/server",\1)} 活跃会话数'
              type: JMX
              key: 'jmx[{#JMXOBJ},activesessionscurrent.current,"活跃会话数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 活跃会话数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: Session
            -
              uuid: f2a610bb6eb74841b6c01692e8ef5057
              name: 'Session: {{#JMXNAME}.regsub("(.*)\/server",\1)} 已过期的会话总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},expiredsessionstotal.count,"已过期的会话总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 已过期的会话总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: Session
            -
              uuid: 0a8d50e7084d4d01aafc3808e104a091
              name: 'Session: {{#JMXNAME}.regsub("(.*)\/server",\1)} 已钝化的会话总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},passivatedsessionstotal.count,"已钝化的会话总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 已钝化的会话总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: Session
            -
              uuid: 9cc1746cbb044ae890393bd8852437ce
              name: 'Session: {{#JMXNAME}.regsub("(.*)\/server",\1)} 已持续的会话总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},persistedsessionstotal.count,"已持续的会话总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 已持续的会话总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: Session
            -
              uuid: 17021dc2463c46c1857f01e99191105e
              name: 'Session: {{#JMXNAME}.regsub("(.*)\/server",\1)} 拒绝的会话总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},rejectedsessionstotal.count,"拒绝的会话总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 拒绝的会话总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: Session
            -
              uuid: 969c771512bc488183c02b091f56188f
              name: 'Session: {{#JMXNAME}.regsub("(.*)\/server",\1)} 创建的会话总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},sessionstotal.count,"创建的会话总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 创建的会话总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: Session
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: efa0d4d013cc4962b56bc78b05c00557
          name: 'Thread pool'
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=thread-pool-mon,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          filter:
            conditions:
              -
                macro: '{#JMXNAME}'
                value: 'network\/\S{1,}\/thread-pool'
                formulaid: A
          item_prototypes:
            -
              uuid: 7a6cf38d8f714e47b2f25d6db9c7fdc5
              name: '线程池:  {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 核心数'
              type: JMX
              key: 'jmx[{#JMXOBJ},corethreads.count,"线程池中的线程核心数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 线程池中的线程核心数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: thread-pool
            -
              uuid: f18da6ddba624f4388b4b60ff4e8bd35
              name: '线程池:  {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 当前线程数'
              type: JMX
              key: 'jmx[{#JMXOBJ},currentthreadcount.count,"当前的请求处理线程数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 提供侦听器线程池中当前的请求处理线程数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: thread-pool
            -
              uuid: e821ca03cbfa4ca28002b3d562d26a96
              name: '线程池:  {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 正忙线程数'
              type: JMX
              key: 'jmx[{#JMXOBJ},currentthreadsbusy.count,"当前正在使用的请求处理线程数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 提供服务请求的侦听器线程池中当前正在使用的请求处理线程数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: thread-pool
            -
              uuid: 50acf9d9efe34fd493dbabb29c085875
              name: '线程池:  {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 最大线程数'
              type: JMX
              key: 'jmx[{#JMXOBJ},maxthreads.count,"线程池中最大线程数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 线程池中允许的最大线程数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: thread-pool
            -
              uuid: da5675edfedc45669d50759cf088e37e
              name: '线程池: {{#JMXNAME}.regsub("network\/(.*)\/.*",\1)} 任务总数'
              type: JMX
              key: 'jmx[{#JMXOBJ},totalexecutedtasks.count,"线程池执行的任务总数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 提供线程池执行的任务总数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: thread-pool
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: 720c9d0f182f4dffbc86320e76e4b08b
          name: Transaction
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=transaction-service-mon,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          item_prototypes:
            -
              uuid: 8a20b7104dbd44e79fd3c8498f48a034
              name: '事务:  {#JMXNAME} 当前活跃的事务数'
              type: JMX
              key: 'jmx[{#JMXOBJ},activecount.count,"当前活跃的事务数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 提供当前活跃的事务数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: transaction
            -
              uuid: 5fc2708e06c346709db16a96bd0141a0
              name: '事务:  {#JMXNAME} 已提交的事务数'
              type: JMX
              key: 'jmx[{#JMXOBJ},committedcount.count,"已提交的事务数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 提供已提交的事务数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: transaction
            -
              uuid: 10cc11ef3de34df5b2e3d826d37c66ff
              name: '事务:  {#JMXNAME} 已回滚的事务数'
              type: JMX
              key: 'jmx[{#JMXOBJ},rolledbackcount.count,"已回滚的事务数"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 提供已回滚的事务数。
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: transaction
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: 0b044d0b5e32440c9544681effa84907
          name: 'Web request'
          type: JMX
          key: 'jmx.discovery["beans","amx:pp=/mon/server-mon[*],type=web-request-mon,*"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          item_prototypes:
            -
              uuid: efca30796a7f4ee8bc8a7880815b5eec
              name: 'web请求:  {#JMXNAME} 累积错误'
              type: JMX
              key: 'jmx[{#JMXOBJ},errorcount.count,"错误计数的累积值"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 错误计数的累积值，错误计数表示响应代码大于或等于400的事例数
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: web-request
            -
              uuid: 4d4cbcf957e944d9bf112afa162bbc70
              name: 'web请求:  {#JMXNAME} 平均请求处理时间'
              type: JMX
              key: 'jmx[{#JMXOBJ},processingtime.count,"平均请求处理时间"]'
              units: s
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 平均请求处理时间
              preprocessing:
                -
                  type: MULTIPLIER
                  parameters:
                    - '0.001'
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: web-request
            -
              uuid: 50ff0a93eb7344e7a511bcebc9a01d71
              name: 'web请求:  {#JMXNAME} 已处理的请求数'
              type: JMX
              key: 'jmx[{#JMXOBJ},requestcount.count,"到目前为止已处理的请求的累计数量"]'
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 到目前为止已处理的请求的累计数量
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: web-request
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: e4eeaddf9c1d4b2bbc6eb7a3442e098a
          name: 'Garbage collector discovery'
          type: JMX
          key: 'jmx.discovery["beans","java.lang:name=*,type=GarbageCollector"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          description: 'Garbage collectors metrics discovery.'
          item_prototypes:
            -
              uuid: 91f287b614284f818702c5338dcc48cb
              name: '垃圾回收器: {#JMXNAME} 总回收次数'
              type: JMX
              key: 'jmx["java.lang:name={#JMXNAME},type=GarbageCollector","CollectionCount"]'
              history: 7d
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 'Displays the total number of collections that have occurred per second.'
              preprocessing:
                -
                  type: CHANGE_PER_SECOND
                  parameters:
                    - ''
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: collection
                  value: '{#JMXNAME}'
                -
                  tag: component
                  value: garbage-collector
            -
              uuid: 8d3b562f46e14ed38b219fdf72ffa234
              name: '垃圾回收器: {#JMXNAME} 累计回收时间'
              type: JMX
              key: 'jmx["java.lang:name={#JMXNAME},type=GarbageCollector","CollectionTime"]'
              history: 7d
              value_type: FLOAT
              units: s
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 'Displays the approximate accumulated collection elapsed time, in seconds.'
              preprocessing:
                -
                  type: MULTIPLIER
                  parameters:
                    - '0.001'
                -
                  type: DISCARD_UNCHANGED_HEARTBEAT
                  parameters:
                    - 10m
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: collection
                  value: '{#JMXNAME}'
                -
                  tag: component
                  value: garbage-collector
          graph_prototypes:
            -
              uuid: 197700edae844497ba9cc42c275e677e
              name: 'GarbageCollector: Garbage Collector {#JMXNAME} collections per second'
              graph_items:
                -
                  color: 1A7C11
                  item:
                    host: AASv10
                    key: 'jmx["java.lang:name={#JMXNAME},type=GarbageCollector","CollectionCount"]'
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
        -
          uuid: 0d5e7fa7ee36417c8cde1ebdc30f894b
          name: 'Memory pool discovery'
          type: JMX
          key: 'jmx.discovery["beans","java.lang:name=*,type=MemoryPool"]'
          delay: 4h
          username: '{$JMX.USER}'
          password: '{$JMX.PASSWORD}'
          filter:
            conditions:
              -
                macro: '{#JMXNAME}'
                value: '{$JMX.MEM.POOL.NAME.MATCHES}'
                formulaid: A
          description: 'Memory pools metrics discovery.'
          item_prototypes:
            -
              uuid: da7e378d07c541cba3be47dd126883a5
              name: '内存池: {#JMXNAME} 已提交值'
              type: JMX
              key: 'jmx["java.lang:name={#JMXNAME},type=MemoryPool","Usage.committed"]'
              history: 7d
              units: B
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 'Current memory allocated.'
              preprocessing:
                -
                  type: DISCARD_UNCHANGED_HEARTBEAT
                  parameters:
                    - 10m
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: memory
                -
                  tag: pool
                  value: '{#JMXNAME}'
            -
              uuid: f0950dcb3cce4b01aba74f19e6aa1bfa
              name: '内存池: {#JMXNAME} 最大值'
              type: JMX
              key: 'jmx["java.lang:name={#JMXNAME},type=MemoryPool","Usage.max"]'
              history: 7d
              value_type: FLOAT
              units: B
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 'Maximum amount of memory that can be used for memory management. This amount of memory is not guaranteed to be available if it is greater than the amount of committed memory. The Java virtual machine may fail to allocate memory even if the amount of used memory does not exceed this maximum size.'
              preprocessing:
                -
                  type: DISCARD_UNCHANGED_HEARTBEAT
                  parameters:
                    - 10m
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: memory
                -
                  tag: pool
                  value: '{#JMXNAME}'
            -
              uuid: 4939c57c84ad45fc8caf35b185858784
              name: '内存池: {#JMXNAME} 已使用'
              type: JMX
              key: 'jmx["java.lang:name={#JMXNAME},type=MemoryPool","Usage.used"]'
              history: 7d
              units: B
              username: '{$JMX.USER}'
              password: '{$JMX.PASSWORD}'
              description: 'Current memory usage.'
              jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
              tags:
                -
                  tag: component
                  value: memory
                -
                  tag: pool
                  value: '{#JMXNAME}'
          trigger_prototypes:
            -
              uuid: 70982488dc3641f094f19d2e1ab12ffb
              expression: 'min(/AASv10/jmx["java.lang:name={#JMXNAME},type=MemoryPool","Usage.used"],{$JMX.MP.USAGE.TIME:"{#JMXNAME}"})>(last(/AASv10/jmx["java.lang:name={#JMXNAME},type=MemoryPool","Usage.max"])*{$JMX.MP.USAGE.MAX:"{#JMXNAME}"}/100) and last(/AASv10/jmx["java.lang:name={#JMXNAME},type=MemoryPool","Usage.max"])>0'
              name: 'Memory pool: {#JMXNAME} memory usage is high'
              event_name: 'Memory pool: {#JMXNAME} memory usage more than {$JMX.MP.USAGE.MAX:"{#JMXNAME}"}% for {$JMX.MP.USAGE.TIME:"{#JMXNAME}"}'
              priority: WARNING
              tags:
                -
                  tag: scope
                  value: capacity
          graph_prototypes:
            -
              uuid: ff0fa380a94e4745b331ad80f036fa28
              name: 'Memory pool: Memory pool {#JMXNAME}'
              graph_items:
                -
                  color: 1A7C11
                  item:
                    host: AASv10
                    key: 'jmx["java.lang:name={#JMXNAME},type=MemoryPool","Usage.max"]'
                -
                  sortorder: '1'
                  color: 2774A4
                  item:
                    host: AASv10
                    key: 'jmx["java.lang:name={#JMXNAME},type=MemoryPool","Usage.committed"]'
                -
                  sortorder: '2'
                  color: F63100
                  item:
                    host: AASv10
                    key: 'jmx["java.lang:name={#JMXNAME},type=MemoryPool","Usage.used"]'
          jmx_endpoint: 'service:jmx:rmi:///jndi/rmi://{HOST.CONN}:{HOST.PORT}/jmxrmi'
      tags:
        -
          tag: class
          value: software
        -
          tag: target
          value: java
      macros:
        -
          macro: '{$JMX.CPU.LOAD.MAX}'
          value: '85'
          description: 'A threshold in percent for CPU utilization trigger.'
        -
          macro: '{$JMX.CPU.LOAD.TIME}'
          value: 5m
          description: 'The time during which the CPU utilization may exceed the threshold.'
        -
          macro: '{$JMX.FILE.DESCRIPTORS.MAX}'
          value: '85'
          description: 'A threshold in percent for file descriptors count trigger.'
        -
          macro: '{$JMX.FILE.DESCRIPTORS.TIME}'
          value: 3m
          description: 'The time during which the file descriptors count may exceed the threshold.'
        -
          macro: '{$JMX.HEAP.MEM.USAGE.MAX}'
          value: '85'
          description: 'A threshold in percent for Heap memory utilization trigger.'
        -
          macro: '{$JMX.HEAP.MEM.USAGE.TIME}'
          value: 10m
          description: 'The time during which the Heap memory utilization may exceed the threshold.'
        -
          macro: '{$JMX.MEM.POOL.NAME.MATCHES}'
          value: 'Old Gen|G1|Perm Gen|Code Cache|Tenured Gen'
          description: 'This macro used in memory pool discovery as a filter.'
        -
          macro: '{$JMX.MP.USAGE.MAX}'
          value: '85'
          description: 'A threshold in percent for memory pools utilization trigger. Use a context to change the threshold for a specific pool.'
        -
          macro: '{$JMX.MP.USAGE.TIME}'
          value: 10m
          description: 'The time during which the memory pools utilization may exceed the threshold.'
        -
          macro: '{$JMX.NONHEAP.MEM.USAGE.MAX}'
          value: '85'
          description: 'A threshold in percent for Non-heap memory utilization trigger.'
        -
          macro: '{$JMX.NONHEAP.MEM.USAGE.TIME}'
          value: 10m
          description: 'The time during which the Non-heap memory utilization may exceed the threshold.'
        -
          macro: '{$JMX.PASSWORD}'
          description: 'JMX password.'
        -
          macro: '{$JMX.USER}'
          description: 'JMX username.'
  triggers:
    -
      uuid: 1766b5bcad6a41beb5150748c69eb5da
      expression: 'min(/AASv10/jmx["java.lang:type=Memory","HeapMemoryUsage.used"],{$JMX.HEAP.MEM.USAGE.TIME})>(last(/AASv10/jmx["java.lang:type=Memory","HeapMemoryUsage.max"])*{$JMX.HEAP.MEM.USAGE.MAX}/100) and last(/AASv10/jmx["java.lang:type=Memory","HeapMemoryUsage.max"])>0'
      name: 'Memory: Heap memory usage is high'
      event_name: 'Memory: Heap memory usage more than {$JMX.HEAP.USAGE.MAX}% for {$JMX.HEAP.MEM.USAGE.TIME}'
      priority: WARNING
      tags:
        -
          tag: scope
          value: capacity
    -
      uuid: 6048752f42354a13b303f2a496beac8b
      expression: 'min(/AASv10/jmx["java.lang:type=Memory","NonHeapMemoryUsage.used"],{$JMX.NONHEAP.MEM.USAGE.TIME})>(last(/AASv10/jmx["java.lang:type=Memory","NonHeapMemoryUsage.max"])*{$JMX.NONHEAP.MEM.USAGE.MAX}/100) and last(/AASv10/jmx["java.lang:type=Memory","NonHeapMemoryUsage.max"])>0'
      name: 'Memory: Non-Heap memory usage is high'
      event_name: 'Memory: Non-Heap memory usage more than {$JMX.NONHEAP.MEM.USAGE.MAX}% for {$JMX.NONHEAP.MEM.USAGE.TIME}'
      priority: WARNING
      tags:
        -
          tag: scope
          value: capacity
    -
      uuid: 5c3e5130db1e48ef942536c5cf16f23a
      expression: 'min(/AASv10/jmx["java.lang:type=OperatingSystem","OpenFileDescriptorCount"],{$JMX.FILE.DESCRIPTORS.TIME})>(last(/AASv10/jmx["java.lang:type=OperatingSystem","MaxFileDescriptorCount"])*{$JMX.FILE.DESCRIPTORS.MAX}/100)'
      name: 'OperatingSystem: Opened file descriptor count is high'
      event_name: 'OperatingSystem: Opened file descriptor count more than {$JMX.FILE.DESCRIPTORS.MAX}% of maximum'
      priority: WARNING
      tags:
        -
          tag: scope
          value: capacity
  graphs:
    -
      uuid: e09a82ebe18d47a392664162e4ca60b2
      name: '操作系统: 文件描述符'
      graph_items:
        -
          color: 1A7C11
          item:
            host: AASv10
            key: 'jmx["java.lang:type=OperatingSystem","MaxFileDescriptorCount"]'
        -
          sortorder: '1'
          color: 2774A4
          item:
            host: AASv10
            key: 'jmx["java.lang:type=OperatingSystem","OpenFileDescriptorCount"]'
    -
      uuid: 2307691885fb44ea9a5aa88e16a73dbd
      name: 类加载监控
      graph_items:
        -
          color: 1A7C11
          item:
            host: AASv10
            key: 'jmx["java.lang:type=ClassLoading","TotalLoadedClassCount"]'
        -
          sortorder: '1'
          color: 2774A4
          item:
            host: AASv10
            key: 'jmx["java.lang:type=ClassLoading","UnloadedClassCount"]'
        -
          sortorder: '2'
          color: F63100
          item:
            host: AASv10
            key: 'jmx["java.lang:type=ClassLoading","LoadedClassCount"]'
    -
      uuid: e26b96d3001b41499aa53b07bfcdce74
      name: 线程监控
      graph_items:
        -
          color: 1A7C11
          item:
            host: AASv10
            key: 'jmx["java.lang:type=Threading","PeakThreadCount"]'
        -
          sortorder: '1'
          color: 2774A4
          item:
            host: AASv10
            key: 'jmx["java.lang:type=Threading","DaemonThreadCount"]'
        -
          sortorder: '2'
          color: F63100
          item:
            host: AASv10
            key: 'jmx["java.lang:type=Threading","ThreadCount"]'
